IF OBJECT_ID('dbo.fn_fco_salario_integral') IS NOT NULL
    DROP FUNCTION dbo.fn_fco_salario_integral
GO
CREATE FUNCTION dbo.fn_fco_salario_integral
(
    @pch_compania char(4),
    @pch_trabajador char(10)
)
/* definicion para */
RETURNS char(1)
AS
BEGIN
    DECLARE @vch_integral char(1)

    SELECT @vch_integral = CASE WHEN dato = 'INTEGRAL' THEN 'X' ELSE ' ' END
    FROM rel_trab_agr
    WHERE compania = @pch_compania
      AND trabajador = @pch_trabajador
      AND agrupacion = 'TIPO_SAL'

    RETURN ISNULL(@vch_integral, '')
END
GO
GRANT EXECUTE ON dbo.fn_fco_salario_integral TO PUBLIC
GO
